%define config_opts --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --libdir=%{_libdir} --bindir=%{_bindir} --includedir=%{_includedir} --datadir=%{_datadir} --disable-more-warnings --with-ssl --with-gss --with-gtkspell --without-libnotify

Name:           balsa
Version:        2.3.16
Release:        3%{?dist}
Summary:        Mail Client

Group:          Applications/Internet
License:        GPL
URL:            http://balsa.gnome.org/
Source0:        http://balsa.gnome.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: libesmtp >= 1.0.4
Requires: scrollkeeper
BuildRequires: aspell-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gmime-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk2-devel
BuildRequires: gtkhtml2-devel
BuildRequires: gtkspell-devel
BuildRequires: intltool
BuildRequires: libesmtp-devel >= 1.0.3
BuildRequires: libgnome-devel
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: libgnomeui-devel
BuildRequires: openssl-devel
BuildRequires: scrollkeeper

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%prep
%setup -q

%build

%configure %{config_opts}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/balsa.desktop \
        --vendor=fedora \
        --add-category=X-Fedora \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        --copy-name-to-generic-name \
        --delete-original
%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

/bin/touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_libdir}/bonobo/servers/GNOME_Balsa.server
%{_datadir}/applications/*.desktop
%{_datadir}/balsa/
%{_datadir}/gnome/help/balsa/
%{_datadir}/icons/hicolor/*
%{_datadir}/idl/Balsa.idl
%{_datadir}/omf/balsa/
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa/
%{_mandir}/man1/balsa.1*
%config(noreplace) %{_sysconfdir}/sound/events/balsa.soundlist


%changelog
* Wed Jun 13 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-3
- s,disable-libnotify,without-libnotify,

* Tue Jun 12 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-2
- Disable libnotify.

* Tue Jun 12 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.16-1
- Update to upstream 2.3.16.

* Sun Jan  7 2007 Pawel Salek <pawsa@theochem.kth.se> - 2.3.14-1
- update to upstream 2.3.14.

* Sat Mar  4 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.12-1
- update to upstream version 2.3.12.

* Wed Mar  1 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.11-1
- update to upstream version 2.3.11.

* Sun Jan 29 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.10-1
- update to upstream 2.3.10

* Sat Jan  7 2006 Pawel Salek <pawsa@theochem.kth.se> - 2.3.9-1
- update to 2.3.9.

* Wed Dec 28 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.8-1
- update to 2.3.8; enable gtkhtml and gtkspell.

* Sun Dec  4 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.7-1
- update to upstream version 2.3.7. Use gmime-2.1.17

* Wed Oct 23 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.6-1
- update to upstream version 2.3.6

* Wed Oct 19 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.5
- update to upstream version 2.3.5

* Tue Jul  5 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.4
- update to upstream version 2.3.4

* Tue Jun 14 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.3
- directory ownership cleanup (credit to Michael Schwendt).

* Mon Jun 13 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.3
- add missing scrollkeeper dependency.

* Mon Jun 13 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.3
- libesmtp imported to fedora extras - reenable.

* Sat Jun 11 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.3
- Implement the reviewers's suggestions as on fedora-extras-list

* Tue Jun  7 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.3-1
- bump version to 2.3.3
- add libesmtp-devel dependency.
- do not forget about config_opts.

* Fri May 20 2005 Pawel Salek <pawsa@theochem.kth.se> - 2.3.2-1
- adapt to Fedora Extras template.


* Sat Jul 26 2003 Misu Moldovan <dumol@go.ro>
- further split the Red Hat and Mandrake sections
- fix Mandrake 9.x dependencies

* Mon Sep 16 2002 Pawel Salek <pawsa@theochem.kth.se>
- adapt to GNOME2 requirements.

* Sun Jun 24 2001 Spider <spider@darkmere.wanfear.com>
- remove all defined paths to user-specified. 
- update configures, locales, update esmtp as a requires/buildrequires 

